VMT(4)

NAME
vmt - VMware Tools driver

SYNOPSIS
vmt0 at pvbus0

DESCRIPTION
The vmt driver is a kernel level implementation of VMware Tools. VMware Tools are intended to provide better support for operating systems running inside virtual machines.

vmt handles shutdown and reboot requests from the host by signalling init(8) with SIGUSR2 and SIGINT respectively. vmt will log notifications that the guest has been suspended or resumed by the host. It also provides access to the host machine's clock as a timedelta sensor.

vmt reports the guest's hostname and all non-loopback IP addresses to the host.

SEE ALSO
pvbus(4), init(8), sensorsd(8), sysctl(8)

A vmwh helper program is available via packages(7).

HISTORY
The vmt driver first appeared in OpenBSD 4.4.

AUTHORS
The vmt driver was written by David Gwynne <dlg@openbsd.org>.